=== debian/changelog ===
ignition-math6 (6.9.2-1~buster) buster; urgency=medium

  * ignition-math6 6.9.2-1 release

 -- Louise Poubel <louise@openrobotics.org>  Thu, 14 Oct 2021 11:55:43 -0700

ignition-math6 (6.9.1-1~buster) buster; urgency=medium

  * ignition-math6 6.9.1-1 release

 -- Steve Peters <scpeters@openrobotics.org>  Thu, 30 Sep 2021 16:43:49 -0700

ignition-math6 (6.9.1~pre2-1~buster) buster; urgency=medium

  * ignition-math6 6.9.1~pre2-1 release

 -- Steve Peters <scpeters@openrobotics.org>  Thu, 30 Sep 2021 15:38:02 -0700

ignition-math6 (6.9.1~pre1-1~buster) buster; urgency=medium

  * ignition-math6 6.9.1~pre1-1 release

 -- Steve Peters <scpeters@openrobotics.org>  Thu, 30 Sep 2021 13:26:45 -0700

ignition-math6 (6.9.0-1~buster) buster; urgency=medium

  * ignition-math6 6.9.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Wed, 29 Sep 2021 14:20:36 -0700

ignition-math6 (6.9.0~pre1-1~buster) buster; urgency=medium

  * ignition-math6 6.9.0~pre1-1 release

 -- Louise Poubel <louise@openrobotics.org>  Tue, 21 Sep 2021 17:36:29 -0700

ignition-math6 (6.8.0-1~buster) buster; urgency=medium

  * ignition-math6 6.8.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Tue, 30 Mar 2021 17:13:46 -0700

ignition-math6 (6.8.0~pre3-1~buster) buster; urgency=medium

  * ignition-math6 6.8.0~pre3-1 release

 -- Louise Poubel <louise@openrobotics.org>  Mon, 22 Mar 2021 13:40:21 -0700

ignition-math6 (6.8.0~pre2-1~buster) buster; urgency=medium

  * ignition-math6 6.8.0~pre2-1 release

 -- Addizu Z. Taddese <addisu@openrobotics.org>  Tue, 26 Jan 2021 17:57:19 -0600

ignition-math6 (6.8.0~pre1-1~buster) buster; urgency=medium

  * ignition-math6 6.8.0~pre1-1 release

 -- Stephen Brawner <brawner@gmail.com>  Fri, 18 Dec 2020 14:48:02 -0800

ignition-math6 (6.7.0-1~buster) buster; urgency=medium

  * ignition-math6 6.7.0-1 release

 -- Steve Peters <scpeters@openrobotics.org>  Mon, 23 Nov 2020 16:44:28 -0800

ignition-math6 (6.6.0-1~buster) buster; urgency=medium

  * ignition-math6 6.6.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Thu, 17 Sep 2020 11:15:18 -0700

ignition-math6 (6.6.0~pre1-1~buster) buster; urgency=medium

  * ignition-math6 6.6.0~pre1-1 release

 -- Louise Poubel <louise@openrobotics.org>  Wed, 16 Sep 2020 12:47:02 -0700

ignition-math6 (6.5.0-2~buster) buster; urgency=medium

  * ignition-math6 6.5.0-2 release

 -- Louise Poubel <louise@openrobotics.org>  Tue, 08 Sep 2020 15:33:38 -0700

ignition-math6 (6.5.0-1~buster) buster; urgency=medium

  * ignition-math6 6.5.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Fri, 04 Sep 2020 20:13:37 -0700

ignition-math6 (6.4.0-1~buster) buster; urgency=medium

  * ignition-math6 6.4.0-1 release

 -- Nate Koenig <nate@osrfoundation.org>  Mon, 15 Jul 2019 16:29:42 -0700
