=== debian/watch ===
version=3
http://gazebosim.org/assets/distributions/ignmath-(\d\.\d\.\d)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
