=== debian/control ===
Source: ignition-math6
Maintainer: Jose Luis Rivero <jrivero@osrfoundation.org>
Section: science
Priority: extra
Build-Depends: cmake,
               debhelper (>= 11),
               dh-python,
               doxygen,
               libeigen3-dev,
               libignition-cmake2-dev (>= 2.13.0) | libignition-cmake-dev (>= 2.13.0),
               python3,
               python3-dev,
               python3-distutils,
               python3-pybind11,
               ruby-dev,
               ruby-ronn,
               swig
Vcs-Browser: https://github.com/gazebosim/gz-math
Vcs-Git: https://github.com/gazebosim/gz-math.git
Standards-Version: 4.5.1
Homepage: https://github.com/gazebosim/gz-math
XS-Ruby-Versions: all
X-Python3-Version: >= 3.2

Package: libignition-math6
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Gazebo Math Library - Shared library
 A small, fast, and high performance math library. This library is a
 self-contained set of classes and functions suitable for robot applications.
 .
 Gazebo is a set of simple libraries that provide useful
 functionality to bootstrap robot applications. The included libraries
 encapsulate all the essentials, such as common math data types, console
 logging, 3D mesh management, and asynchronous message passing.

Package: libignition-math6-dev
Architecture: any
Section: libdevel
Depends: libignition-math6 (= ${binary:Version}),
         libignition-cmake2-dev (>= 2.13.0),
         ${misc:Depends}
Replaces: libignition-math-dev (<< 6.0.0~)
Breaks: libignition-math-dev (<< 6.0.0~)
Multi-Arch: same
Description: Gazebo Math Library - Development files
 A small, fast, and high performance math library. This library is a
 self-contained set of classes and functions suitable for robot applications.
 .
 Gazebo is a set of simple libraries that provide useful
 functionality to bootstrap robot applications. The included libraries
 encapsulate all the essentials, such as common math data types, console
 logging, 3D mesh management, and asynchronous message passing.

Package: libignition-math6-eigen3-dev
Architecture: any
Section: libdevel
Depends: libignition-math6-dev (= ${binary:Version}),
         libeigen3-dev,
         ${misc:Depends}
Replaces: libignition-math-dev (<< 6.0.0~)
Breaks: libignition-math-dev (<< 6.0.0~)
Multi-Arch: same
Description: Gazebo Math Library - Eigen3 Development files
 A small, fast, and high performance math library. This library is a
 self-contained set of classes and functions suitable for robot applications.
 .
 Gazebo is a set of simple libraries that provide useful
 functionality to bootstrap robot applications. The included libraries
 encapsulate all the essentials, such as common math data types, console
 logging, 3D mesh management, and asynchronous message passing.
 .
 The package contains the development files relative to Eigen

Package: python3-ignition-math6
Architecture: any
Depends: libignition-math6 (= ${binary:Version}),
         python3-distutils,
         python3-pybind11,
         ${misc:Depends},
         ${python3:Depends}
Enhances: libignition-math6
Description: Gazebo Math Library - Python3 bindings
 A small, fast, and high performance math library. This library is a
 self-contained set of classes and functions suitable for robot applications.
 .
 Gazebo is a set of simple libraries that provide useful
 functionality to bootstrap robot applications. The included libraries
 encapsulate all the essentials, such as common math data types, console
 logging, 3D mesh management, and asynchronous message passing.
 .
 The package contains the Python3 bindings.

Package: ruby-ignition-math6
Architecture: any
XB-Ruby-Versions: ${ruby:Versions}
Depends: libignition-math6 (= ${binary:Version}),
         ${misc:Depends},
         ${ruby:Depends},
         ${shlibs:Depends}
Enhances: libignition-math6
Description: Gazebo Math Library - Ruby bindings
 A small, fast, and high performance math library. This library is a
 self-contained set of classes and functions suitable for robot applications.
 .
 Gazebo is a set of simple libraries that provide useful
 functionality to bootstrap robot applications. The included libraries
 encapsulate all the essentials, such as common math data types, console
 logging, 3D mesh management, and asynchronous message passing.
 .
 The package contains the Ruby bindings.

Package: libignition-math6-dbg
Architecture: any
Section: debug
Priority: extra
Depends:
     libignition-math6 (= ${binary:Version}),
     ${misc:Depends}
Multi-Arch: same
Description: Gazebo Math Library - Debugging symbols
 A small, fast, and high performance math library. This library is a
 self-contained set of classes and functions suitable for robot applications.
 .
 Gazebo is a set of simple libraries that provide useful
 functionality to bootstrap robot applications. The included libraries
 encapsulate all the essentials, such as common math data types, console
 logging, 3D mesh management, and asynchronous message passing.

Package: libgz-math6
Depends: libignition-math6, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 It's recommended to use the gz packages going forward.

Package: libgz-math6-dev
Depends: libignition-math6-dev, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 It's recommended to use the gz packages going forward.

Package: libgz-math6-eigen3-dev
Depends: libignition-math6-eigen3-dev, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 It's recommended to use the gz packages going forward.

Package: python3-gz-math6
Depends: python3-ignition-math6, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 It's recommended to use the gz packages going forward.

Package: ruby-gz-math6
Depends: ruby-ignition-math6, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 It's recommended to use the gz packages going forward.

Package: libgz-math6-dbg
Depends: libignition-math6-dbg, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 It's recommended to use the gz packages going forward.
