=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: science
 Priority: extra
 Build-Depends: cmake,
-               debhelper (>= 11),
+               debhelper (>= 12),
                dh-python,
                doxygen,
                libeigen3-dev,
@@ -28,6 +28,9 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Multi-Arch: same
+Provides: libignition-math6-6 (= ${binary:Version})
+Replaces: libignition-math6-6 (<< ${binary:Version})
+Breaks: libignition-math6-6 (<< ${binary:Version})
 Description: Gazebo Math Library - Shared library
  A small, fast, and high performance math library. This library is a
  self-contained set of classes and functions suitable for robot applications.
@@ -43,8 +46,9 @@
 Depends: libignition-math6 (= ${binary:Version}),
          libignition-cmake2-dev (>= 2.13.0),
          ${misc:Depends}
-Replaces: libignition-math-dev (<< 6.0.0~)
-Breaks: libignition-math-dev (<< 6.0.0~)
+Replaces: libignition-math-dev (<< ${binary:Version})
+Breaks: libignition-math-dev (<< ${binary:Version})
+Provides: libignition-math-dev (= ${binary:Version})
 Multi-Arch: same
 Description: Gazebo Math Library - Development files
  A small, fast, and high performance math library. This library is a
@@ -61,8 +65,10 @@
 Depends: libignition-math6-dev (= ${binary:Version}),
          libeigen3-dev,
          ${misc:Depends}
-Replaces: libignition-math-dev (<< 6.0.0~)
-Breaks: libignition-math-dev (<< 6.0.0~)
+Replaces: libignition-math-dev (<< ${binary:Version}),
+          libignition-math6-dev (<< ${binary:Version})
+Breaks: libignition-math-dev (<< ${binary:Version}),
+        libignition-math6-dev (<< ${binary:Version})
 Multi-Arch: same
 Description: Gazebo Math Library - Eigen3 Development files
  A small, fast, and high performance math library. This library is a
