=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 export PYBUILD_NAME=ignition-math6
 
-DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
+DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
 .PHONY: override_dh_auto_configure \
         override_dh_strip \
@@ -10,7 +10,7 @@
         override_dh_auto_test
 
 %:
-	dh $@ --parallel --with python3
+	dh $@  --with python3
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
